osl::checkmate::Dfpn::CallProofOracleDefense< P, UseTable > Struct Template Reference

## Public Member Functions

| CallProofOracleDefense (Dfpn *s, const ProofOracle &o, int pl)
void | operator() (Square) const

## Public Attributes

Dfpn * | search
ProofOracle | oracle
int | proof_limit

## Detailed Description

template<osl::Player P, bool UseTable>
struct osl::checkmate::Dfpn::CallProofOracleDefense< P, UseTable >

Definition at line 2730 of file dfpn.cc.

## Constructor & Destructor Documentation

## CallProofOracleDefense()

template<osl::Player P, bool UseTable>

osl::checkmate::Dfpn::CallProofOracleDefense< P, UseTable >::CallProofOracleDefense | ( | Dfpn * | s,
|  | const ProofOracle & | o,
|  | int | pl )

inline

Definition at line 2735 of file dfpn.cc.

References osl::checkmate::Dfpn::Dfpn(), oracle, proof_limit, and search.

## Member Function Documentation

## operator()()

template<osl::Player P, bool UseTable>

void osl::checkmate::Dfpn::CallProofOracleDefense< P, UseTable >::operator() | ( | Square |  | ) | const

inline

Definition at line 2738 of file dfpn.cc.

References oracle, proof_limit, and search.

## Member Data Documentation

## oracle

template<osl::Player P, bool UseTable>

ProofOracle osl::checkmate::Dfpn::CallProofOracleDefense< P, UseTable >::oracle

Definition at line 2733 of file dfpn.cc.

Referenced by CallProofOracleDefense(), and operator()().

## proof_limit

template<osl::Player P, bool UseTable>

int osl::checkmate::Dfpn::CallProofOracleDefense< P, UseTable >::proof_limit

Definition at line 2734 of file dfpn.cc.

Referenced by CallProofOracleDefense(), and operator()().

## search

template<osl::Player P, bool UseTable>

Dfpn* osl::checkmate::Dfpn::CallProofOracleDefense< P, UseTable >::search

Definition at line 2732 of file dfpn.cc.

Referenced by CallProofOracleDefense(), and operator()().

The documentation for this struct was generated from the following file:

- dfpn.cc